module Fetch exposing (..)

import Http
import ICNDB
import Task exposing (Task)


joke : String -> String -> Task Http.Error ICNDB.Result
joke firstName lastName =
    let
        encodedFn : String
        encodedFn =
            Http.encodeUri firstName

        encodedLn : String
        encodedLn =
            Http.encodeUri lastName
    in
        Http.get
            ("http://api.icndb.com/jokes/random"
                ++ "?firstName="
                ++ encodedFn
                ++ "&lastName="
                ++ encodedLn
                ++ "&exclude=[explicit]"
            )
            ICNDB.resultDecoder
            |> Http.toTask
