module Pages.Front exposing (..)

import Common exposing (..)
import Html exposing (Html)
import Ports
import RemoteData exposing (WebData, RemoteData(..))
import Task exposing (Task)
import Http


type Msg
    = GetAJoke ()
    | Init


init : ( Model, Cmd Msg )
init =
    ( (), Cmd.none )


type alias Model =
    ()


fetch : Task Http.Error Model
fetch =
    Task.succeed ()


update : GlobalModel -> Msg -> Model -> ( GlobalModel, Model, Cmd Msg )
update global msg model =
    case msg of
        GetAJoke () ->
            ( global, model, navigateTo JokeRoute )

        Init ->
            ( global, model, Cmd.none )


subscriptions : Model -> Sub Msg
subscriptions () =
    Ports.onSwipeRight GetAJoke


view : Model -> Html Msg
view () =
    Html.div []
        [ Html.h1 [] [ Html.text "Would you like to hear a joke?" ]
        , Html.h2 [] [ Html.text "Swipe right..." ]
        ]
