port module Ports exposing (..)

{-| Reports an error TO THE USER. For reporting to the console, see Log.elm
-}


port reportError : String -> Cmd msg


{-| Signals that we have initialized
-}
port initialized : () -> Cmd msg


port routeChanged : String -> Cmd msg


port routeLoadStart : String -> Cmd msg


port routeLoadEnd : String -> Cmd msg


{-| Publish your username to this port whenever you know it. Multiple publications are harmless.
The username is fed through to Google Analytics for tracking.
-}
port publishUserName : String -> Cmd msg


{-| Fires whenever the user swipes or pans to the left.
-}
port onSwipeLeft : (() -> msg) -> Sub msg


{-| Fires whenever the user swipes or pans to the right.
-}
port onSwipeRight : (() -> msg) -> Sub msg
