/*
 * This file contains the code that wires up the "outside world" to our application, launches the Elm application
 * (and its dependencies), and handles otherwise unhandled errors.
 * */

import Promise from "bluebird";

Promise.try(
  () => require("./init.js")
).then(
  () => require("./launchElm.js")
).catch(e => {
  console.error("Top-level error", e);
  throw e;
})
