import Promise from "bluebird";

let lastChange = Date.now();
let previousRoute = null;

module.exports = app => {
  app.ports.routeChanged.subscribe(routeName => {
    try {
      if(GOOGLE_TRACKING_ID) {
        if(previousRoute) {
          const timeOnRoute = Date.now() - lastChange;
          window.ga.trackTiming("timeOnRoute", timeOnRoute, previousRoute, routeName);
        }

        previousRoute = routeName;
        lastChange = Date.now();

        window.ga.trackView(routeName);
      }
    }catch(e) {
      console.error("Error while writing url change", e);
    }
  });
}
