import Promise from "bluebird";

let startTime = Date.now();

module.exports = app => {
  app.ports.routeLoadStart.subscribe(routeName => {
    try {
      if(GOOGLE_TRACKING_ID) {
        window.ga.trackView(routeName);
      }
    } catch(e) {
      console.error("Error storing route load start", e);
    } finally {
      startTime = Date.now()
    }
  });
  app.ports.routeLoadEnd.subscribe(routeName => {
    try {
      if(GOOGLE_TRACKING_ID) {
        window.ga.trackTiming("routeLoad", Date.now() - startTime, routeName, "ms");
      }
    }catch(e) {
      console.error("Error while writing route load timing", e);
    }
  })
};
